#!/usr/bin/env node --no-warnings=ExperimentalWarning -C production --watch --import @j_c/gracile__gracile/ts-loader
import { program } from '@commander-js/extra-typings';
import { dev } from '@j_c/gracile__engine/dev/dev';
import { logger } from '@j_c/gracile__internal-utils/logger';
import { greet } from './utils.js';
await greet();
// DEV
program
    // .command('dev')
    .option('p, --port <number>')
    .option('h, --host')
    .action((_str, options) => {
    const opts = options.opts();
    dev({
        port: opts.port ? Number(opts.port) : undefined,
        expose: opts.host,
    }).catch((e) => logger.error(String(e)));
});
program.parse();
